ランタイム: Mix::IO::IWriter Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
Mix::IO::IWriter Class Referenceabstract

ライターインターフェース More...

`#include <IWriter.h>`

Inheritance diagram for Mix::IO::IWriter:
[legend]
Collaboration diagram for Mix::IO::IWriter:
[legend]

## Public Member Functions

virtual UInt32 | Write (const void *pWriteBuffer, UInt32 writeSize)=0
| バッファの内容を書き込みます More...
virtual UInt64 | GetSize (void) const =0
| サイズを取得します More...
virtual const wchar_t * | GetFilePath (void) const =0
| ファイルパスを取得します More...
Public Member Functions inherited from Mix::IO::IStream
virtual Mix::IO::IStream::ACCESS_TYPE | GetAccessType (void) const =0
| アクセスタイプを取得します More...
virtual Mix::IO::IStream::SOURCE_TYPE | GetSourceType (void) const =0
| ソースタイプを取得します More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~IWriter (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::IO::IStream
virtual | ~IStream (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Additional Inherited Members

Public Types inherited from Mix::IO::IStream
enum | ACCESS_TYPE { A_READ = 0, A_WRITE = 1 }
| アクセスタイプ列挙定数 More...
enum | SOURCE_TYPE { S_FILE = 0, S_BUFFER = 1 }
| ソースタイプ列挙定数 More...

## Detailed Description

ライターインターフェース

## Constructor & Destructor Documentation

virtual Mix::IO::IWriter::~IWriter | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual UInt32 Mix::IO::IWriter::Write | ( | const void * | pWriteBuffer,
|  | UInt32 | writeSize
| ) |  |

pure virtual

バッファの内容を書き込みます

Parameters

  [in] | pWriteBuffer | 書き込み元バッファ
  [in] | writeSize | 書き込むサイズ

Returns
  実際に書き込んだサイズを返します

virtual UInt64 Mix::IO::IWriter::GetSize | ( | void |  | ) | const

pure virtual

サイズを取得します

Returns
  サイズを返します

virtual const wchar_t* Mix::IO::IWriter::GetFilePath | ( | void |  | ) | const

pure virtual

ファイルパスを取得します

Returns
  ファイルパスを返します

The documentation for this class was generated from the following file:

- Mix/IO/IWriter.h